# NOTE: Run "ant rpm" to build this RPM!
%define name makagiga
# NOTE: "version" is defined via "--define version..." in "build.xml"
%define release 1
%define source_file %{name}-%{version}.zip

# ************************************
# *** WARNING: rm -rf "%{tmp_dir}" ***
# ************************************
%define tmp_dir %{_tmppath}/%{name}-root

Name: %{name}
Version: %{version}
Release: %{release}
License: Apache License, Version 2
Source: %{source_file}
Vendor: Konrad Twardowski
Packager: Konrad Twardowski
URL: http://makagiga.sourceforge.net
BuildArch: noarch
BuildRoot: %{tmp_dir}
Prefix: %{_prefix}
Group: Applications/Productivity
Summary: Todo list, text and image editor, Internet search, and more...

%description
Makagiga is a powerful, easy-to-use, cross-platform free software
written in Java 5.0. It features plugins, file import/export, backup utility,
tabbed view (like in Firefox or Opera), search function, custom colors, labels
and comments for each file or folder, and more! 

http://makagiga.sourceforge.net

The functionality can be extended via plugins.
Currently Makagiga includes the following built-in plugins (extensions): 
File plugins (editors)
- Text editor
- Todo list (with summary, priority, progress and date/time info)
- A very simple image editor
Internet Search plugins
- Google(tm)
- Wikipedia

%prep
%setup -q

%build
rm -rf "%{tmp_dir}"
mkdir -p "%{tmp_dir}/usr/bin"
mkdir -p "%{tmp_dir}/usr/share/applications"
mkdir -p "%{tmp_dir}/usr/share/icons/hicolor/32x32/apps"
mkdir -p "%{tmp_dir}/usr/share/makagiga/i18n"
mkdir -p "%{tmp_dir}/usr/share/makagiga/plugins"
cp *.jar "%{tmp_dir}/usr/share/makagiga"
cp makagiga "%{tmp_dir}/usr/bin"
cp makagiga.desktop "%{tmp_dir}/usr/share/applications"
cp makagiga.png "%{tmp_dir}/usr/share/icons/hicolor/32x32/apps"

%install

%clean
rm -rf "%{tmp_dir}"

%post
# set install prefix in launcher
sed "s?\@@INSTALL_PREFIX@@?$RPM_INSTALL_PREFIX?g" "$RPM_INSTALL_PREFIX/bin/makagiga" > "$RPM_INSTALL_PREFIX/bin/makagiga.tmp"
mv "$RPM_INSTALL_PREFIX/bin/makagiga.tmp" "$RPM_INSTALL_PREFIX/bin/makagiga"
chmod +x "$RPM_INSTALL_PREFIX/bin/makagiga"

# set install prefix in Desktop shortcut
sed "s?\@@INSTALL_PREFIX@@?$RPM_INSTALL_PREFIX?g" "$RPM_INSTALL_PREFIX/share/applications/makagiga.desktop" > "$RPM_INSTALL_PREFIX/share/applications/makagiga.desktop.tmp"
mv "$RPM_INSTALL_PREFIX/share/applications/makagiga.desktop.tmp" "$RPM_INSTALL_PREFIX/share/applications/makagiga.desktop"

%postun

%files
%defattr(-,root,root)
%doc LICENSE.txt README.html
%{_prefix}/bin/makagiga
%{_prefix}/share/applications/*.desktop
%{_prefix}/share/icons/hicolor/32x32/apps/*.png
%{_prefix}/share/makagiga/*.jar
%dir %{_prefix}/share/makagiga/i18n
%dir %{_prefix}/share/makagiga/plugins

%changelog
* Mon Aug 1 2005 Konrad Twardowski
- Removed email address
- Updated description
- README.txt -> README.html

* Tue Jul 5 2005 Konrad Twardowski
- Makagiga 0.9 Beta
