// Copyright 2005 Konrad Twardowski
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//   http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

package org.makagiga.common;

/** An @c int property. */
public final class IntegerProperty extends Property<Integer> {

	// public

	/**
	 * Constructs a new @c int property.
	 * The default value is @c 0.
	 */
	public IntegerProperty() {
		this(0);
	}

	/**
	 * Constructs a new @c int property with value @p value.
	 */
	public IntegerProperty(final int value) {
		super(value);
	}

	/**
	 * Returns a hex representation of the value.
	 */
	public String toHexString() {
		return Integer.toHexString(value);
	}

}
