// Copyright 2005 Konrad Twardowski
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//   http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

package org.makagiga.common;

import javax.swing.JComponent;

/** A border layout interface. */
public interface MBorderLayout {

	/**
	 * Adds component to the @b CENTER of the parent component.
	 * @b NOTE: addCenter(c) = add(c, BorderLayout.CENTER);
	 * @param component A component to add
	 */
	public void addCenter(final JComponent component);

	/**
	 * Adds @p component to the @b EAST of the parent component.
	 */
	public void addEast(final JComponent component);

	/**
	 * Adds @p component to the @b NORTH of the parent component.
	 */
	public void addNorth(final JComponent component);

	/**
	 * Adds @p component to the @b SOUTH of the parent component.
	 */
	public void addSouth(final JComponent component);

	/**
	 * Adds @p component to the @b WEST of the parent component.
	 */
	public void addWest(final JComponent component);

}
