// Copyright 2005 Konrad Twardowski
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//   http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

package org.makagiga.common;

import java.awt.event.ActionEvent;
import javax.swing.AbstractAction;

/** A simple action. */
public abstract class SimpleAction extends AbstractAction {

	// public

	/**
	 * Constructs a new action.
	 */
	public SimpleAction() { }

	/**
	 * Constructs a new action.
	 * @param name An action name
	 */
	public SimpleAction(final String name) {
		super(name);
	}

	/**
	 * Invoked when an action occurs.
	 * This function calls @ref onAction.
	 * @param e An action event
	 * @see onAction
	 */
	public final void actionPerformed(final ActionEvent e) {
		onAction();
	}

	/**
	 * Invoked when an action occurs.
	 */
	public abstract void onAction();

}
