// Copyright 2005 Konrad Twardowski
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//   http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

package org.makagiga.common;

/** A @c String property. */
public final class StringProperty extends Property<String> {

	// public

	public StringProperty() {
		this(null);
	}

	public StringProperty(final String value) {
		super(value);
	}

	/**
	 * Returns @c true if value is @c null or empty ("").
	 */
	public boolean isEmpty() {
		return TK.isEmpty(value);
	}

}
