// Copyright 2005 Konrad Twardowski
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//   http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

package org.makagiga.console;

import org.makagiga.common.*;

/**
 * A console command.
 * @see Console
 */
public abstract class ConsoleCommand {

	// public

	/**
	 * An action description.
	 */
	public final StringProperty description = new StringProperty();

	// public

	/**
	 * Constructs a new console command.
	 * @param description An action description (e.g. "Show application version")
	 */
	public ConsoleCommand(final String description) {
		this.description.set(description);
	}

	/**
	 * Executes an user command.
	 */
	public abstract void onCommand();

}
