// Copyright 2005 Konrad Twardowski
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//   http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

package org.makagiga.editors.todo;

import org.makagiga.common.*;

/** @b Priority column editor. */
public final class PriorityEditor extends MComboBox<Priority> {

	// public

	/**
	 * Constructs a @b Priority column editor.
	 */
	public PriorityEditor() {
		for (Priority i : Priority.values())
			addItem(i);
		setRenderer(new PriorityEditorRenderer());
	}

	// private classes

	private static final class PriorityEditorRenderer extends SimpleListCellRenderer<Priority> {

		// public

		public PriorityEditorRenderer() {
			setHorizontalAlignment(CENTER);
		}

		public void onRender(final Priority value) {
			PriorityRenderer.setupRenderer(this, value, selected);
		}

	}

}
