// Copyright 2005 Konrad Twardowski
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//   http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

package org.makagiga.search;

import static org.makagiga.common.UI._;

import org.makagiga.MetaInfo;
import org.makagiga.common.*;

public final class Query {

	// public

	public static final int NO_LIMIT = -1;

	// private

	private String[] keywords;
	private String metaInfoKeywords;
	private String text = "";

	// public

	public Query(final String value) {
		text = value.trim();
		keywords = text.split(" ");
// !!!: include parent folder name in keywords
	}

// TODO: 2.0: operators (AND, OR, +)
	public boolean matches(final MetaInfo metaInfo) {
		// match keywords
		metaInfoKeywords = metaInfo.getKeywords();
		for (String i : keywords) {
			if (matchesKeyword(metaInfo, i))
				return true;
		}

		return false;
	}

	// private

	private boolean matchesKeyword(final MetaInfo metaInfo, final String keyword) {
		// match item name
		if (TK.containsIgnoreCase(metaInfo.toString(), keyword))
			return true;

		// match comment
		if (TK.containsIgnoreCase(metaInfo.getComment(), keyword))
			return true;

		// match keywords
		if (TK.containsIgnoreCase(metaInfoKeywords, keyword))
			return true;

		return false;
	}

}
