// Copyright 2005 Konrad Twardowski
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//   http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

package org.makagiga.search;

import static org.makagiga.common.UI._;

/** A sort method. */
public enum Sort {

	// public

	DEFAULT(_("Default")), /**< Default sort method. */
	NAME(_("Name")), /**< Sort by name. */
	LABEL(_("Label")), /**< Sort by label. */
	COLOR(_("Color")), /**< Sort by color. */
	AGE(_("Age")), /**< Sort by age. */
	USAGE(_("Usage")); /**< Sort by usage. */

	// private

	private String text;

	// public

	/**
	 * Returns the string representation of the sort method.
	 * (e.g. "Color")
	 */
	@Override
	public String toString() { return text; }

	// private

	private Sort(final String text) {
		this.text = text;
	}

}
