#!/bin/sh

if [ -z "${1}" ]; then
	echo "Description: Creates a new translation file (.po)"
	echo "Usage: ./tools/i18nnew.sh LANG_CODE"
	echo
	echo "Example: ./tools/i18nnew.sh de"
	echo "Example output file: ./po/de.po"
	exit 1
fi

OUT_FILE="po/${1}.po"

if [ -f "${OUT_FILE}" ]; then
	echo "${0}: File already exists: '$OUT_FILE'"
	exit 1
fi

msginit -i po/makagiga.pot -o "${OUT_FILE}"

echo "*********************************************"
echo "** NOTE: CHANGE .po FILE ENCODING TO UTF-8 **"
echo "*********************************************"
